package com.css.simulation.resource.project.enums;

import lombok.Getter;

/**
 * 是否
 */
@Getter
public enum  WhetherEnum {

    YES("0","是"),
    NO("1","否");

    private String code;

    private String state;

    WhetherEnum(String code, String state){
        this.code = code;
        this.state = state;
    }

    public static String getState(String code){
        if(code == null){
            return "";
        }
        for(WhetherEnum e :  WhetherEnum.values()){
            if(e.code.equals(code)){
                return e.state;
            }
        }
        return "";
    }
}
